﻿@model eCommerce.UI.ViewModels.SiteMenuViewModel
@using eCommerce.UI.Utils

<ul>
    <li class="dropdown slideout-border" id="category-menu">
        <a href="#" class="toggle" data-toggle="dropdown">SHOP</a>
        <button class="dropdown-toggle" data-toggle="dropdown"></button>
        <ul class="dropdown-menu">
            @foreach (var item in Model.Categories.Where(x => !x.ParentCategoryId.HasValue))
            {

                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/@Utility.CataloguePrefix/@item.SeoUrl">@item.Name</a>
                </li>
            }
        </ul>
    </li>
    
    <li class="slideout-border">
        <a href="/contacto">CONTACTO</a>
    </li>

    @*<li class="slideout-border">
        <a href="/lookbook">LOOKBOOK</a>
    </li>*@

    <li class="slideout-border">
        <a href="/faq">PREGUNTAS FRECUENTES</a>
    </li>

    <li class="dropdown slideout-border" id="category-menu">
        <a href="#" class="toggle" data-toggle="dropdown">CUENTA</a>
        <button class="dropdown-toggle" data-toggle="dropdown"></button>
        <ul class="dropdown-menu">
            @if (User.Identity.IsAuthenticated)
            {
                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/account/MyAccount">MIS DATOS</a>
                </li>
                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/Account/ShoppingHistory">MIS COMPRAS</a>
                </li>
                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/Account/LogOut">SALIR</a>
                </li>
            }
            else
            {
                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/Account/Login">INGRESAR</a>
                </li>
                <li class="dropdown dropdown-submenu slideout-border">
                    <a href="/Account/Register">REGISTRATE</a>
                </li>
            }

        </ul>
    </li>
</ul>

<button type="button" class="navbar-toggle toggle-slideout">
    <p>VOLVER <i class="fa fa-arrow-right"></i></p>
</button>
